1. Molongui
  2. >
  3. Docs
  4. >
  5. Troubleshooting
  6. >
  7. How to update my PHP version

How to update my PHP version

PHP is the most popular server-side scripting language, powering millions of websites. If you got to this page from the notice in your Molongui plugin, your site is running an outdated and unmaintained version of PHP. Not only is your website’s performance (a lot) lower than it should be, you may be running into things not working as you expect and you’re also potentially open to security vulnerabilities!

What is PHP?

PHP is a scripting language which most likely powers your WordPress site. PHP, like all software, gets updated over time to patch security issues and improve its features. And like other software, it’s important to keep your PHP version up to date.

Updating your PHP version

In most cases you cannot update the PHP version yourself and need to contact your host about this. The upgrade process is an easy process and should be something your host can do for you without impacting your website or charging you a fee. Here’s a letter you can send to your hosting company:

Dear host, I’m running a WordPress site on one of your servers and WordPress recommends using at least PHP 7.3 on their requirements page: https://wordpress.org/about/requirements/

Can you please let me know if my hosting supports version or higher and how I can upgrade?

Looking forward to your reply.

My host doesn’t support PHP 7.3

If your host doesn’t support PHP 7.3 or higher, we recommend you find a host that does. If you contact another host, be sure to ask them which PHP version your website will run on before purchasing.

More information

PHP has a list of unsupported version including dates on their website. If you develop WordPress plugins yourself you might want to check out the PHP library called WPupdatePHP.

Was this article helpful to you? Yes No

How can we help?